%global momorel 1

Summary: GNOME Power Manager
Name: gnome-power-manager

Version: 2.26.3
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://gnome-power.sourceforge.net/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.20.0
BuildPrereq: hal-devel >= 0.5.12
BuildPrereq: gstreamer-devel >= 0.10.22
BuildPrereq: dbus-glib-devel >= 0.80
BuildPrereq: dbus-devel >= 1.2.4
BuildPrereq: libgnomeui-devel >= 2.24.1
BuildPrereq: libglade2-devel >= 2.6.3
BuildPrereq: libwnck-devel >= 2.26.1
BuildPrereq: gnome-keyring-devel >= 2.26.0
BuildPrereq: gnome-panel-devel >= 2.26.1
BuildPrereq: cairo-devel >= 1.8.6
BuildPrereq: gtk2-devel >= 2.16.0
BuildPrereq: libXrandr-devel
BuildPrereq: libXrender-devel
BuildPrereq: libX11-devel
BuildPrereq: libnotify-devel >= 0.4.4
BuildPrereq: unique-devel
BuildPrereq: DeviceKit-devel
BuildRequires: rarian
BuildRequires: gnome-doc-utils-devel
Requires: gnome-mime-data
Requires: gnome-icon-theme
Requires: hal
Requires: dbus-glib
Requires: dbus-x11
Requires: rarian
Requires: DeviceKit-power


%description
GNOME Power Manager uses the information and facilities provided by HAL
displaying icons and handling user callbacks in an interactive GNOME session.
GNOME Power Preferences allows authorised users to set policy and
change preferences.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-docbook-docs \
    --enable-xevents \
    --enable-applets \
    --enable-libnotify \
    --enable-policykit
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas \
    >/dev/null || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
rarian-sk-update

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas \
	> /dev/null || :
fi

%postun
rarian-sk-update

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README
%{_sysconfdir}/xdg/autostart/gnome-power-manager.desktop
%{_bindir}/*
%{_datadir}/gnome-power-manager/*
%{_mandir}/man1/*
%{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas
%{_libdir}/bonobo/servers/*
%{_libexecdir}/gnome-brightness-applet
%{_libexecdir}/gnome-inhibit-applet
%{_datadir}/dbus-1/services/gnome-power-manager.service
%{_datadir}/gnome/help/gnome-power-manager/*
%{_datadir}/omf/gnome-power-manager/gnome-power-manager-*.omf
%{_datadir}/applications/gnome-power-preferences.desktop
%{_datadir}/applications/gnome-power-statistics.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/gnome-2.0/ui/GNOME_*.xml

%changelog
* Sun Jul 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.3-1m)
- update to 2.26.3

* Sat Jul 11 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.26.2-2m)
- replace gnome-doc-utils with gnome-doc-utils-devel

* Tue Jun  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Wed Apr 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Tue Mar 17 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.26.0-2m)
- rebuild against glib2 >= 2.19.8
-- remove -fno-strict-aliasing workaround for gcc44

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-2m)
- fix autostart

* Thu Mar 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92
- enable policykit

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-4m)
- mv autostart file %%{_sysconfdir}/xdg/gnome/autostart

* Sun Mar  1 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-3m)
- rebuild with libXrandr-1.2.99.4
-- delete patch0

* Sun Mar  1 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-2m)
- add patch0 (for libXrandr) "REMOVE PLEASE"

* Thu Feb 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Wed Feb 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.3-1m)
- update to 2.25.3

* Thu Feb  5 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.3-3m)
- build with -fno-strict-aliasing when gcc44

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.3-2m)
- rebuild against rpm-4.6

* Sat Jan 17 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.3-1m)
- update to 2.24.3

* Tue Nov 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Wed Oct 22 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Fri Oct  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Sat Aug 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-4m)
- disable policykit

* Sun Apr 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-3m)
- enable policykit

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.1-2m)
- rebuild against gcc43

* Sat Mar 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Sat Dec 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.2-1m)
- update to 2.20.2

* Thu Nov 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Fri May 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.3-1m)
- update to 2.18.3

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Sat Mar 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Mar  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- revice %%post script (gconftool-2)

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.3-1m)
- update to 2.16.3

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-1m)
- update to 2.16.2

* Sat Sep 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0)
- update to 2.16.0

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-5m)
- rebuild against 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.14.3-4m)
- rebuild against expat-2.0.0-1m

* Fri Jun  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-3m)
- delete duplicated dir

* Tue May 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-2m)
- delete duplicated dir

* Thu Apr 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.3-1m)
- version 2.14.3
- add Patch0 (gnome-power-manager-DBUSDIR.patch)
